Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] Best way to get rid of 4.3

OP pazeltov

22nd January 2014, 11:04 AM   |  #1  
OP Junior Member
Thanks Meter: 0
 
3 posts
Join Date:Joined: Jan 2014
Hello folks,

This is my first post here, I searched for answers on the forum but didn't find them.

I had a rooted I9300 that I upgraded with the stock 4.3 firmware a couple of weeks ago. As many people I am not satisfied w/ 4.3 mostly because of the battery drain pblm.

So I tried to downgrade to the stock 4.1.2 (found on sammobile, I cannot link it but this is the french ROM from my provider). I used Odin 3.09 and I must have done smthg wrong because I couldnt reboot properly (locked on the Samsung logo).I did a hard reset of my phone and I had it running on 4.1.2 as I wanted. But I had no more network access as somehow I corrupted my IMEI # in the process. I thought that I was screwed because of course no back up... But this morning I upgraded my phone back to 4.3 via Kies and I got my IMEI back

But still my problem is not solved as I don't want 4.3 on my phone!

So here are my questions:
1) I have read that it is not possible to downgrade because of the Knox flag. I don't think that I have this flag because I don't see it in download mode and moreover, I COULD downgrade to 4.1.2 (but without network access). Then, if I back up my /efs and redo the same process, will I get a phone running on 4.1.2 with network access?
2) I would like to understand why my downgrade didnt work (beyond the Knox problem, which I think is irrelevant in my case). I have two guesses: I put the .tar.md5 file in BL instead of PDA in Odin3.09, and my flash counter wasnt set to 0. Which one is the most likely to have failed my flash? Maybe both...^^
3) Last, In the case I can't get back to my lovely 4.1.2 can I consider to flash a custom ROM from 4.3, or this upgrade will prevent me to do anything?

I am sorry guys, I know that it is a long post but thanks for your answers!!!
22nd January 2014, 12:20 PM   |  #2  
Darkened_Sky's Avatar
Senior Member
Thanks Meter: 272
 
436 posts
Join Date:Joined: Jun 2013
More
Quote:
Originally Posted by pazeltov

So here are my questions:
1) I have read that it is not possible to downgrade because of the Knox flag. I don't think that I have this flag because I don't see it in download mode and moreover, I COULD downgrade to 4.1.2 (but without network access). Then, if I back up my /efs and redo the same process, will I get a phone running on 4.1.2 with network access?
2) I would like to understand why my downgrade didnt work (beyond the Knox problem, which I think is irrelevant in my case). I have two guesses: I put the .tar.md5 file in BL instead of PDA in Odin3.09, and my flash counter wasnt set to 0. Which one is the most likely to have failed my flash? Maybe both...^^
3) Last, In the case I can't get back to my lovely 4.1.2 can I consider to flash a custom ROM from 4.3, or this upgrade will prevent me to do anything?

I am sorry guys, I know that it is a long post but thanks for your answers!!!

1) as I know s3 i9300 has no knox
2) which sammy version did you flash. probably it was somethig older than xxemg4. so with upgrade you also upgrade the baseband. as you have flashed a 4.3 rom your efs was converted to efs v2 which is not compatible with basebands older than xxemg4. if you now revert back to 4.1.2 with a baseband older than xxemg4 than your evs is incompatible with it and will not work.
solution: make efs backup - flash 4.1.2 with odin (I would suggest xxemg4 so you have definitely the right baseband) - flash xxemg4 modem (or newer modem) with odin, if it is not already included in the rom
3) you can always flash a custom rom by using a custom recovery (how to's are in general section - stickies)
The Following User Says Thank You to Darkened_Sky For This Useful Post: [ View ]
22nd January 2014, 01:07 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
3 posts
Join Date:Joined: Jan 2014
Quote:
Originally Posted by Darkened_Sky

2) which sammy version did you flash. probably it was somethig older than xxemg4. so with upgrade you also upgrade the baseband. as you have flashed a 4.3 rom your efs was converted to efs v2 which is not compatible with basebands older than xxemg4. if you now revert back to 4.1.2 with a baseband older than xxemg4 than your evs is incompatible with it and will not work.
solution: make efs backup - flash 4.1.2 with odin (I would suggest xxemg4 so you have definitely the right baseband) - flash xxemg4 modem (or newer modem) with odin, if it is not already included in the rom

The PDA was I9300XXEMC2 so the modem was XXEMC2 right? I think that it is indeed an older than XXEMG4 but this one hasn't been released in a ROM by my provider.
So I will flash again I9300XXEMC2 and then flash the XXEMG4 modem. Should I reset my flash counter to 0 before doing so (w/ triangle away) or it won't matter?

Edit: I checked Samsung naming convention, my modem was BUEMC2.
Last edited by pazeltov; 22nd January 2014 at 01:30 PM. Reason: Edit
22nd January 2014, 06:42 PM   |  #4  
Darkened_Sky's Avatar
Senior Member
Thanks Meter: 272
 
436 posts
Join Date:Joined: Jun 2013
More
Quote:
Originally Posted by pazeltov

The PDA was I9300XXEMC2 so the modem was XXEMC2 right? I think that it is indeed an older than XXEMG4 but this one hasn't been released in a ROM by my provider.
So I will flash again I9300XXEMC2 and then flash the XXEMG4 modem. Should I reset my flash counter to 0 before doing so (w/ triangle away) or it won't matter?

Edit: I checked Samsung naming convention, my modem was BUEMC2.

flash counter shouldn't matter. only needed to reset it is when you need it for waranty.
don't forget to make an efs backup
The Following User Says Thank You to Darkened_Sky For This Useful Post: [ View ]
22nd January 2014, 06:58 PM   |  #5  
OP Junior Member
Thanks Meter: 0
 
3 posts
Join Date:Joined: Jan 2014
Quote:
Originally Posted by Darkened_Sky

don't forget to make an efs backup

Of course. But as I am gonna flash a ROM prior to XXEMG4, it won't be the right efs in either case.
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes